package samples;

import javax.jws.WebService;
import com.example.bug.Fault;
import com.example.bug.EchoPort;

@WebService(endpointInterface="com.example.bug.EchoPort",
  wsdlLocation="WEB-INF/wsdl/Echo.wsdl")
public class Echo implements EchoPort {

  public String echo(String msg) throws Fault {
    
    if (msg.equals("throwFault")) {
      throw new Fault("message", "throwing a fault!");
    }
    return msg;
    
  }

}
